Items - Get Paginated Report Definition
Returns the specified paginated report public definition.
This API supports long running operations (LRO).
Permissions
The caller must have read and write permissions for the paginated report.
Required Delegated Scopes
PaginatedReport.ReadWrite.All or Item.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/paginatedReports/{paginatedReportId}/getDefinition
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/paginatedReports/{paginatedReportId}/getDefinition?format={format}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
paginated
|
path | True |
string (uuid) |
The paginated report ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
|
format
|
query |
string |
The format of the paginated report public definition. Supported format: |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 202 Accepted |
Request accepted. Retrieving the definition is in progress. Headers
|
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Get a paginated report definition example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/paginatedReports/cfafbeb1-8037-4d0c-896e-28c4f2e65573/getDefinition?format=PaginatedReportDefinition
Sample response
{
"definition": {
"parts": [
{
"path": "ContosoReport.rdl",
"payload": "PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4...",
"payloadType": "InlineBase64"
},
{
"path": ".platform",
"payload": "eyJtZXRhZGF0YSI6eyJ0eXBlIjoiUGFnaW5hdGVkUmVwb3J0In19",
"payloadType": "InlineBase64"
}
]
}
}
Location: https://api.fabric.microsoft.com/v1/operations/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
x-ms-operation-id: 431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
Retry-After: 30
Definitions
| Name | Description |
|---|---|
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Paginated |
Paginated report public definition object. Refer to this article for more details on the structure of the Paginated Report definition. |
|
Paginated |
The format of the paginated report definition. Additional format types may be added over time. |
|
Paginated |
Paginated report definition part object. |
|
Paginated |
Paginated report public definition response. |
|
Payload |
The type of the definition part payload. Additional payload types may be added over time. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
PaginatedReportDefinition
Paginated report public definition object. Refer to this article for more details on the structure of the Paginated Report definition.
| Name | Type | Description |
|---|---|---|
| format |
The format of the paginated report definition. Supported format: |
|
| parts |
A list of definition parts. |
PaginatedReportDefinitionFormat
The format of the paginated report definition. Additional format types may be added over time.
| Value | Description |
|---|---|
| PaginatedReportDefinition |
The default format for paginated report definitions. The definition contains an RDL file encoded as Base64. |
PaginatedReportDefinitionPart
Paginated report definition part object.
| Name | Type | Description |
|---|---|---|
| path |
string |
The paginated report part path (e.g., |
| payload |
string |
The paginated report part payload. |
| payloadType |
The payload type. |
PaginatedReportDefinitionResponse
Paginated report public definition response.
| Name | Type | Description |
|---|---|---|
| definition |
Paginated report public definition object. Refer to this article for more details on the structure of the Paginated Report definition. |
PayloadType
The type of the definition part payload. Additional payload types may be added over time.
| Value | Description |
|---|---|
| InlineBase64 |
Inline Base 64. |